## org.eclipse.datatools.connectivity.ui.wizards
Class ConnectionProfileDetailsPage

    java.lang.Object
      BaseWizardPage
          org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage

Direct Known Subclasses:
  ExtensibleProfileDetailsWizardPage, GenericDBProfileDetailsWizardPage

    public abstract class ConnectionProfileDetailsPage

extends BaseWizardPage

Author:
  shongxum

Constructor Summary
`ConnectionProfileDetailsPage(java.lang.String name)`
`ConnectionProfileDetailsPage(java.lang.String pageName, java.lang.String title, ImageDescriptor titleImage)`

Method Summary
`void` `createControl(Composite parent)`
`abstract void` `createCustomControl(Composite parent)`
`IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileDetailsPage

    public ConnectionProfileDetailsPage(java.lang.String name)

Parameters:
  `name` -

### ConnectionProfileDetailsPage

    public ConnectionProfileDetailsPage(java.lang.String pageName,
                                        java.lang.String title,
                                        ImageDescriptor titleImage)

Parameters:
  `pageName` -
  `title` -
  `titleImage` -

Method Detail

### createControl

    public void createControl(Composite parent)

### createCustomControl

    public abstract void createCustomControl(Composite parent)

### getContext

    public IContext getContext(java.lang.Object target)

### getContextChangeMask

    public int getContextChangeMask()

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.